View Issue Details

IDProjectCategoryView StatusLast Update
0017417LazarusLCLpublic2011-12-01 11:24
ReporterJon Lennart AasendenAssigned ToZeljan Rikalo 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017417: synEdit stops responding after resize on Mac
DescriptionSetting synEdit alignment to “alClient” and resizing the form (in a running application) "back and forth" on the mac cause synEdit to stop responding to resize events.

Other objects on the form works fine (toolbar, statusbar), but synEdit simply remains small (or large if that was your last resize).
Additional InformationIf you maximize the window synEdit "wakes up" again, but it still does not resize properly when you scale down.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Activities

Juha Manninen

2010-09-15 11:25

developer   ~0041101

Does it happen also with the latest development version, 0.9.29?

Zeljan Rikalo

2010-09-21 08:33

developer   ~0041255

Fixed during 0.9.29, tested with r 27423.

Issue History

Date Modified Username Field Change
2010-09-15 10:45 Jon Lennart Aasenden New Issue
2010-09-15 10:45 Jon Lennart Aasenden Widgetset => Carbon
2010-09-15 11:25 Juha Manninen LazTarget => -
2010-09-15 11:25 Juha Manninen Note Added: 0041101
2010-09-15 11:25 Juha Manninen Status new => feedback
2010-09-21 08:33 Zeljan Rikalo Status feedback => resolved
2010-09-21 08:33 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2010-09-21 08:33 Zeljan Rikalo Resolution open => fixed
2010-09-21 08:33 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-09-21 08:33 Zeljan Rikalo Note Added: 0041255
2011-12-01 11:24 Marc Weustink Status resolved => closed